Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

pip install borked... #927

Closed
mattharrison opened this Issue · 6 comments

3 participants

@mattharrison

Tried the following on Ubuntu machine

$ virtualenv /tmp/pandatest
$ source /tmp/pandatest/bin/activate
$ pip install pandas
$ python 
Python 2.6.6 (r266:84292, Sep 15 2010, 15:52:39) 
[GCC 4.4.5] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import pandas
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/tmp/pandatest/lib/python2.6/site-packages/pandas/__init__.py", line 10, in <module>
    import pandas._tseries as lib
ImportError: /tmp/pandatest/lib/python2.6/site-packages/pandas/_tseries.so: undefined symbol: PyArray_IsIntegerScalar

It would be really cool if this worked :)

@wesm
Owner

Looks like you're running NumPy 1.3 which is no longer supported

@mattharrison

You are correct, but the install should fail or note that or try to install it.

@wesm wesm closed this in f53f235
@wesm
Owner

done

@mattharrison

awesome. thanks much! this will make the out of the box experience much better

@nicola514

hi all, i've numpy 1.6.1, but i get the error...

@wesm
Owner

@nicola514 most likely you have another version of NumPy on your system that was linked against when you built pandas

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.